﻿Type=Activity
Version=1.50
FullScreen=False
IncludeTitle=True
@EndOfDesignText@
'Activity module

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
    
	'TimeValue holds a random day in the month to be displayed
	'On start, this must be set accordingly to which month to be displayed
	'In this demo it is set to DateTime.Now which is todays date
	'and the calendar shows the current month
	Dim TimeValue As Long
	
	Dim FirstDayOfMonth As Long
	Dim LastDayOfMonth As Long 
    Dim Day() As String
    Dim Month() As String
	Dim DaySelected As Long 'Return value to the calling Activity
	Dim FirstDayOfWeek As Int
	
	DaySelected = 0
	
	'Initial texts
	Dim ActivityTitle As String : ActivityTitle = "Select date"
	Dim CancelText As String : CancelText = "Cancel"
	Dim TodayText As String : TodayText = "Today"

	'Scale Factor of the whole calendar
	Dim ScaleFactor As Float
	'***********************************************************************************************
	ScaleFactor = 1.0			'---------------     CHANGE CALENDAR SCALE FACTOR HERE    ----------
  	DPTextSize = 11				' You can change the base size of all the text here too Default: 14
	'***********************************************************************************************
	Dim btnDateSize As Int
 	btnDateSize = 40dip	'Smallest size of the Date button at ScaleFactor = 1.0
 	btnDateSize = btnDateSize * ScaleFactor	'Scale the button

 End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim Panel1 As Panel
	Dim lblMonthYear As Label	'Month and year at the top of the calendar
	Dim lblDay1 As Label		'Day header column 1 (option base 1)
	Dim lblDay2 As Label		'Day header column 2
	Dim lblDay3 As Label		'Day header column 3
	Dim lblDay4 As Label		'Day header column 4
	Dim lblDay5 As Label		'Day header column 5
	Dim lblDay6 As Label		'Day header column 6
	Dim lblDay7 As Label		'Day header column 7
	
	Dim NextMonth As Button
	Dim PrevMonth As Button
	Dim Cancel As Button
	Dim CurrentMonth As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
 Dim i As Int 
 Dim loc As AHLocale

 loc.Initialize
 
 'Set which day is the first day of the week
 '1 = Sunday
 '2 = Monday
 FirstDayOfWeek = loc.FirstDayOfWeek
 
 Day = loc.ShortWeekDays
 Month = loc.Months

 DaySelected = 0
 TimeValue = DateTime.Now 
 Activity.LoadLayout("Kalender")	
 Activity.Title = ActivityTitle
 Cancel.Text = CancelText
 CurrentMonth.Text = TodayText
 
 Panel1.Width = Panel1.Width * ScaleFactor
 Panel1.Height = Panel1.Height * ScaleFactor
 
 Panel1.Left = (100%x - Panel1.Width) / 2
 If FirstDayOfWeek = 2 Then
  lblDay1.Text = Day(2)
  lblDay2.Text = Day(3)
  lblDay3.Text = Day(4)
  lblDay4.Text = Day(5)
  lblDay5.Text = Day(6)
  lblDay6.Text = Day(7)
  lblDay7.Text = Day(1)
 Else
  lblDay1.Text = Day(1)
  lblDay2.Text = Day(2)
  lblDay3.Text = Day(3)
  lblDay4.Text = Day(4)
  lblDay5.Text = Day(5)
  lblDay6.Text = Day(6)
  lblDay7.Text = Day(7)
 End If
 lblDay1.Width = btnDateSize
 lblDay2.Width = btnDateSize
 lblDay3.Width = btnDateSize
 lblDay4.Width = btnDateSize
 lblDay5.Width = btnDateSize
 lblDay6.Width = btnDateSize
 lblDay7.Width = btnDateSize
 lblDay1.TextSize = DPTextSize * ScaleFactor
 lblDay2.TextSize = DPTextSize * ScaleFactor
 lblDay3.TextSize = DPTextSize * ScaleFactor
 lblDay4.TextSize = DPTextSize * ScaleFactor
 lblDay5.TextSize = DPTextSize * ScaleFactor
 lblDay6.TextSize = DPTextSize * ScaleFactor
 lblDay7.TextSize = DPTextSize * ScaleFactor
 
 'DoEvents
 i = 10dip 
 lblDay1.Left = i
 i = i + btnDateSize
 lblDay2.Left = i
 i = i + btnDateSize
 lblDay3.Left = i
 i = i + btnDateSize
 lblDay4.Left = i
 i = i + btnDateSize
 lblDay5.Left = i
 i = i + btnDateSize
 lblDay6.Left = i
 i = i + btnDateSize
 lblDay7.Left = i
 
 lblDay1.Top = btnDateSize
 lblDay2.Top = btnDateSize
 lblDay3.Top = btnDateSize
 lblDay4.Top = btnDateSize
 lblDay5.Top = btnDateSize
 lblDay6.Top = btnDateSize
 lblDay7.Top = btnDateSize
 
 Cancel.Height = 40dip * ScaleFactor
 CurrentMonth.Height = 40dip * ScaleFactor
 Cancel.Width = 120dip * ScaleFactor
 CurrentMonth.Width = 120dip * ScaleFactor
 Cancel.Top = Panel1.Top + Panel1.Height + 10dip
 CurrentMonth.Top = Cancel.Top
 Cancel.TextSize = DPTextSize * ScaleFactor
 CurrentMonth.TextSize = DPTextSize * ScaleFactor
 Cancel.Left = (100%x / 2) - (Cancel.Width + CurrentMonth.Width + 15dip) / 2 
 CurrentMonth.Left = Cancel.Left + Cancel.Width + 15dip
 
 CreateCalendar
 
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub CreateCalendar
 Dim i As Int
 Dim OffsetX As Int
 Dim OffsetY As Int
 
 Dim TempDay As Long 
 Dim StartDate As Long
 Dim EndDate As Long 
 Dim bDay As Long
 Dim Today As Long 

 Today = DateTime.Now 
 DateTime.DateFormat="ddMMyyyy"
 'Calculate the first day of the month according
 FirstDayOfMonth = DateTime.DateParse("01" & DateTime.Date(TimeValue).SubString(2))
 'Calculate the last day of the month
 TempDay = DateTime.Add(TimeValue,0,1,0)
 TempDay = DateTime.DateParse("01" & DateTime.Date(TempDay).SubString(2))
 LastDayOfMonth = DateTime.Add(TempDay,0,0,-1)
 
 
 lblMonthYear.Text = Month(DateTime.GetMonth(TimeValue) - 1) & "  " & DateTime.GetYear(TimeValue)
 
 'Format the Top Section of the Calendar
 lblMonthYear.TextSize = DPTextSize * ScaleFactor
 lblMonthYear.Left = 60dip * ScaleFactor
 lblMonthYear.Width = 180dip * ScaleFactor
 lblMonthYear.Height = 40dip * ScaleFactor
 NextMonth.Left = 240dip * ScaleFactor
 NextMonth.Width = 60dip * ScaleFactor
 NextMonth.Height = 40dip * ScaleFactor
 NextMonth.TextSize = DPTextSize * ScaleFactor
 PrevMonth.Width = 60dip * ScaleFactor
 PrevMonth.Height = 40dip * ScaleFactor
 PrevMonth.TextSize = DPTextSize * ScaleFactor
 
 OffsetX = 10dip 'Top Left of date grid
 OffsetY = 70dip * ScaleFactor
 

 'Calculate the first day to be displayed in the calendar
 If FirstDayOfWeek = 2 Then
  If (DateTime.GetDayOfWeek(FirstDayOfMonth) - 1) = 0 Then
   StartDate = DateTime.Add(FirstDayOfMonth,0,0,-6)
  Else
   StartDate = DateTime.Add(FirstDayOfMonth,0,0, 0-(DateTime.GetDayOfWeek(FirstDayOfMonth) - 2))
  End If
 Else
  StartDate = DateTime.Add(FirstDayOfMonth,0,0, 0-(DateTime.GetDayOfWeek(FirstDayOfMonth) - 1))
 End If
 
 bDay = StartDate
 
 'Calculate the last day to be displayed in the calendar
 If FirstDayOfWeek = 2 Then
  If (DateTime.GetDayOfWeek(LastDayOfMonth) - 1) = 0 Then
   EndDate = LastDayOfMonth
  Else
   EndDate = DateTime.Add(LastDayOfMonth,0,0, 8 - DateTime.GetDayOfWeek(LastDayOfMonth))
  End If  
 Else
  EndDate = DateTime.Add(LastDayOfMonth,0,0, 7 - DateTime.GetDayOfWeek(LastDayOfMonth))
 End If
 
 'Place a button for each day to be displayed.
 'Days in the previous and next month are grayed out and cannot be selected
 'Todays date is shown with a red bold text
 'Each buttons tag holds the day of the button
 For i = 1 To 42
  If bDay <= EndDate Then
   Dim bn As Button 
   bn.Initialize("ButtonPress")
   bn.Text = DateTime.GetDayOfMonth(bDay)
   
   If DateTime.GetMonth(bDay) <> DateTime.GetMonth(TimeValue) Then
	bn.Enabled = False
	bn.Tag = 0
   Else
	bn.Enabled = True
	bn.Tag = bDay
   End If
   If DateTime.Date(bDay) = DateTime.Date(Today)  Then
    bn.TextColor = Colors.Red 
	bn.Typeface = Typeface.DEFAULT_BOLD 
   End If
   'All buttons are placed on a panel
   Panel1.AddView(bn, OffsetX, OffsetY, btnDateSize, btnDateSize)
   bn.TextSize = DPTextSize
   bn.TextSize = bn.TextSize * ScaleFactor
   
   OffsetX = OffsetX + btnDateSize
   If OffsetX > (10dip + (btnDateSize * 6)) Then
    OffsetX = 10dip
    OffsetY = OffsetY + btnDateSize
   End If
   bDay = DateTime.Add(bDay,0,0,1)
  End If
 Next

End Sub

Sub RemovePanelViews
 Dim i As Int
 Dim v As View 
 Dim ii As Long 
 
  For i=Panel1.NumberOfViews-1 To 0 Step -1
  v = Panel1.GetView(i)
  Try
  ii = v.Tag
  If ii >= 0 Then
   Panel1.RemoveViewAt(i)
  End If
  Catch
  End Try
 Next
End Sub

Sub ButtonPress_Click
 'Update DaySelected with the selected day and return to the calling activity
 Dim b As Button 
 b = Sender
 DaySelected = b.Tag 
 Activity.Finish 
 StartActivity(Main)		
End Sub

Sub PrevMonth_Click
 'Show previous month
 RemovePanelViews	
 TimeValue = DateTime.Add(FirstDayOfMonth,0,-1,0)
 CreateCalendar	
End Sub

Sub NextMonth_Click
 'Show next month
 RemovePanelViews 	
 TimeValue = DateTime.Add(FirstDayOfMonth,0,1,0)
 CreateCalendar	
End Sub
Sub CurrentMonth_Click
 'Show current month
 RemovePanelViews	
 TimeValue = DateTime.Now 	
 CreateCalendar	
End Sub
Sub Cancel_Click
 'Return to calling activity without selecting a day
 Activity.Finish 
 StartActivity(Main)			
End Sub