package DatePicker.familieportalen.dk;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class kalenderactivity extends Activity implements B4AActivity{
	static kalenderactivity mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	private static final boolean fullScreen = false;
	private static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "DatePicker.familieportalen.dk", "kalenderactivity");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                anywheresoftware.b4a.keywords.Common.Log("Killing previous instance (kalenderactivity).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
		activityBA = new BA(this, layout, processBA, "DatePicker.familieportalen.dk", "kalenderactivity");
        processBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        initializeProcessGlobals();		
        initializeGlobals();
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        anywheresoftware.b4a.keywords.Common.Log("** Activity (kalenderactivity) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (mostCurrent == null || mostCurrent != this)
			return;
        processBA.setActivityPaused(false);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (kalenderactivity) Resume **");
        processBA.raiseEvent(null, "activity_resume");

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return kalenderactivity.class;
	}
    private Boolean onKeySubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyDown(keyCode, event);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        anywheresoftware.b4a.keywords.Common.Log("** Activity (kalenderactivity) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            anywheresoftware.b4a.keywords.Common.Log("** Activity (kalenderactivity) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static long _timevalue = 0L;
public static long _firstdayofmonth = 0L;
public static long _lastdayofmonth = 0L;
public static String[] _day = null;
public static String[] _month = null;
public static long _dayselected = 0L;
public static int _firstdayofweek = 0;
public static String _activitytitle = "";
public static String _canceltext = "";
public static String _todaytext = "";
public static float _scalefactor = 0f;
public static String _dptextsize = "";
public static int _btndatesize = 0;
public anywheresoftware.b4a.objects.PanelWrapper _panel1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblmonthyear = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblday1 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblday2 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblday3 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblday4 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblday5 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblday6 = null;
public anywheresoftware.b4a.objects.LabelWrapper _lblday7 = null;
public anywheresoftware.b4a.objects.ButtonWrapper _nextmonth = null;
public anywheresoftware.b4a.objects.ButtonWrapper _prevmonth = null;
public anywheresoftware.b4a.objects.ButtonWrapper _cancel = null;
public anywheresoftware.b4a.objects.ButtonWrapper _currentmonth = null;
public main _main = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
		Debug.PushSubsStack("Activity_Create (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
int _i = 0;
de.amberhome.AHLocale _loc = null;
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 58;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 59;BA.debugLine="Dim i As Int";
Debug.ShouldStop(67108864);
_i = 0;Debug.locals.put("i", _i);
 BA.debugLineNum = 60;BA.debugLine="Dim loc As AHLocale";
Debug.ShouldStop(134217728);
_loc = new de.amberhome.AHLocale();Debug.locals.put("loc", _loc);
 BA.debugLineNum = 62;BA.debugLine="loc.Initialize";
Debug.ShouldStop(536870912);
_loc.Initialize();
 BA.debugLineNum = 67;BA.debugLine="FirstDayOfWeek = loc.FirstDayOfWeek";
Debug.ShouldStop(4);
_firstdayofweek = _loc.getFirstDayOfWeek();
 BA.debugLineNum = 69;BA.debugLine="Day = loc.ShortWeekDays";
Debug.ShouldStop(16);
_day = _loc.getShortWeekDays();
 BA.debugLineNum = 70;BA.debugLine="Month = loc.Months";
Debug.ShouldStop(32);
_month = _loc.getMonths();
 BA.debugLineNum = 72;BA.debugLine="DaySelected = 0";
Debug.ShouldStop(128);
_dayselected = (long)(0);
 BA.debugLineNum = 73;BA.debugLine="TimeValue = DateTime.Now";
Debug.ShouldStop(256);
_timevalue = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
 BA.debugLineNum = 74;BA.debugLine="Activity.LoadLayout(\"Kalender\")";
Debug.ShouldStop(512);
mostCurrent._activity.LoadLayout("Kalender",mostCurrent.activityBA);
 BA.debugLineNum = 75;BA.debugLine="Activity.Title = ActivityTitle";
Debug.ShouldStop(1024);
mostCurrent._activity.setTitle((Object)(_activitytitle));
 BA.debugLineNum = 76;BA.debugLine="Cancel.Text = CancelText";
Debug.ShouldStop(2048);
mostCurrent._cancel.setText((Object)(_canceltext));
 BA.debugLineNum = 77;BA.debugLine="CurrentMonth.Text = TodayText";
Debug.ShouldStop(4096);
mostCurrent._currentmonth.setText((Object)(_todaytext));
 BA.debugLineNum = 79;BA.debugLine="Panel1.Width = Panel1.Width * ScaleFactor";
Debug.ShouldStop(16384);
mostCurrent._panel1.setWidth((int)(mostCurrent._panel1.getWidth()*_scalefactor));
 BA.debugLineNum = 80;BA.debugLine="Panel1.Height = Panel1.Height * ScaleFactor";
Debug.ShouldStop(32768);
mostCurrent._panel1.setHeight((int)(mostCurrent._panel1.getHeight()*_scalefactor));
 BA.debugLineNum = 82;BA.debugLine="Panel1.Left = (100%x - Panel1.Width) / 2";
Debug.ShouldStop(131072);
mostCurrent._panel1.setLeft((int)((anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA)-mostCurrent._panel1.getWidth())/(double)2));
 BA.debugLineNum = 83;BA.debugLine="If FirstDayOfWeek = 2 Then";
Debug.ShouldStop(262144);
if (_firstdayofweek==(int)(2)) { 
 BA.debugLineNum = 84;BA.debugLine="lblDay1.Text = Day(2)";
Debug.ShouldStop(524288);
mostCurrent._lblday1.setText((Object)(_day[(int)(2)]));
 BA.debugLineNum = 85;BA.debugLine="lblDay2.Text = Day(3)";
Debug.ShouldStop(1048576);
mostCurrent._lblday2.setText((Object)(_day[(int)(3)]));
 BA.debugLineNum = 86;BA.debugLine="lblDay3.Text = Day(4)";
Debug.ShouldStop(2097152);
mostCurrent._lblday3.setText((Object)(_day[(int)(4)]));
 BA.debugLineNum = 87;BA.debugLine="lblDay4.Text = Day(5)";
Debug.ShouldStop(4194304);
mostCurrent._lblday4.setText((Object)(_day[(int)(5)]));
 BA.debugLineNum = 88;BA.debugLine="lblDay5.Text = Day(6)";
Debug.ShouldStop(8388608);
mostCurrent._lblday5.setText((Object)(_day[(int)(6)]));
 BA.debugLineNum = 89;BA.debugLine="lblDay6.Text = Day(7)";
Debug.ShouldStop(16777216);
mostCurrent._lblday6.setText((Object)(_day[(int)(7)]));
 BA.debugLineNum = 90;BA.debugLine="lblDay7.Text = Day(1)";
Debug.ShouldStop(33554432);
mostCurrent._lblday7.setText((Object)(_day[(int)(1)]));
 }else {
 BA.debugLineNum = 92;BA.debugLine="lblDay1.Text = Day(1)";
Debug.ShouldStop(134217728);
mostCurrent._lblday1.setText((Object)(_day[(int)(1)]));
 BA.debugLineNum = 93;BA.debugLine="lblDay2.Text = Day(2)";
Debug.ShouldStop(268435456);
mostCurrent._lblday2.setText((Object)(_day[(int)(2)]));
 BA.debugLineNum = 94;BA.debugLine="lblDay3.Text = Day(3)";
Debug.ShouldStop(536870912);
mostCurrent._lblday3.setText((Object)(_day[(int)(3)]));
 BA.debugLineNum = 95;BA.debugLine="lblDay4.Text = Day(4)";
Debug.ShouldStop(1073741824);
mostCurrent._lblday4.setText((Object)(_day[(int)(4)]));
 BA.debugLineNum = 96;BA.debugLine="lblDay5.Text = Day(5)";
Debug.ShouldStop(-2147483648);
mostCurrent._lblday5.setText((Object)(_day[(int)(5)]));
 BA.debugLineNum = 97;BA.debugLine="lblDay6.Text = Day(6)";
Debug.ShouldStop(1);
mostCurrent._lblday6.setText((Object)(_day[(int)(6)]));
 BA.debugLineNum = 98;BA.debugLine="lblDay7.Text = Day(7)";
Debug.ShouldStop(2);
mostCurrent._lblday7.setText((Object)(_day[(int)(7)]));
 };
 BA.debugLineNum = 100;BA.debugLine="lblDay1.Width = btnDateSize";
Debug.ShouldStop(8);
mostCurrent._lblday1.setWidth(_btndatesize);
 BA.debugLineNum = 101;BA.debugLine="lblDay2.Width = btnDateSize";
Debug.ShouldStop(16);
mostCurrent._lblday2.setWidth(_btndatesize);
 BA.debugLineNum = 102;BA.debugLine="lblDay3.Width = btnDateSize";
Debug.ShouldStop(32);
mostCurrent._lblday3.setWidth(_btndatesize);
 BA.debugLineNum = 103;BA.debugLine="lblDay4.Width = btnDateSize";
Debug.ShouldStop(64);
mostCurrent._lblday4.setWidth(_btndatesize);
 BA.debugLineNum = 104;BA.debugLine="lblDay5.Width = btnDateSize";
Debug.ShouldStop(128);
mostCurrent._lblday5.setWidth(_btndatesize);
 BA.debugLineNum = 105;BA.debugLine="lblDay6.Width = btnDateSize";
Debug.ShouldStop(256);
mostCurrent._lblday6.setWidth(_btndatesize);
 BA.debugLineNum = 106;BA.debugLine="lblDay7.Width = btnDateSize";
Debug.ShouldStop(512);
mostCurrent._lblday7.setWidth(_btndatesize);
 BA.debugLineNum = 107;BA.debugLine="lblDay1.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(1024);
mostCurrent._lblday1.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 108;BA.debugLine="lblDay2.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(2048);
mostCurrent._lblday2.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 109;BA.debugLine="lblDay3.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(4096);
mostCurrent._lblday3.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 110;BA.debugLine="lblDay4.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(8192);
mostCurrent._lblday4.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 111;BA.debugLine="lblDay5.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(16384);
mostCurrent._lblday5.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 112;BA.debugLine="lblDay6.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(32768);
mostCurrent._lblday6.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 113;BA.debugLine="lblDay7.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(65536);
mostCurrent._lblday7.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 116;BA.debugLine="i = 10dip";
Debug.ShouldStop(524288);
_i = anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10));Debug.locals.put("i", _i);
 BA.debugLineNum = 117;BA.debugLine="lblDay1.Left = i";
Debug.ShouldStop(1048576);
mostCurrent._lblday1.setLeft(_i);
 BA.debugLineNum = 118;BA.debugLine="i = i + btnDateSize";
Debug.ShouldStop(2097152);
_i = (int)(_i+_btndatesize);Debug.locals.put("i", _i);
 BA.debugLineNum = 119;BA.debugLine="lblDay2.Left = i";
Debug.ShouldStop(4194304);
mostCurrent._lblday2.setLeft(_i);
 BA.debugLineNum = 120;BA.debugLine="i = i + btnDateSize";
Debug.ShouldStop(8388608);
_i = (int)(_i+_btndatesize);Debug.locals.put("i", _i);
 BA.debugLineNum = 121;BA.debugLine="lblDay3.Left = i";
Debug.ShouldStop(16777216);
mostCurrent._lblday3.setLeft(_i);
 BA.debugLineNum = 122;BA.debugLine="i = i + btnDateSize";
Debug.ShouldStop(33554432);
_i = (int)(_i+_btndatesize);Debug.locals.put("i", _i);
 BA.debugLineNum = 123;BA.debugLine="lblDay4.Left = i";
Debug.ShouldStop(67108864);
mostCurrent._lblday4.setLeft(_i);
 BA.debugLineNum = 124;BA.debugLine="i = i + btnDateSize";
Debug.ShouldStop(134217728);
_i = (int)(_i+_btndatesize);Debug.locals.put("i", _i);
 BA.debugLineNum = 125;BA.debugLine="lblDay5.Left = i";
Debug.ShouldStop(268435456);
mostCurrent._lblday5.setLeft(_i);
 BA.debugLineNum = 126;BA.debugLine="i = i + btnDateSize";
Debug.ShouldStop(536870912);
_i = (int)(_i+_btndatesize);Debug.locals.put("i", _i);
 BA.debugLineNum = 127;BA.debugLine="lblDay6.Left = i";
Debug.ShouldStop(1073741824);
mostCurrent._lblday6.setLeft(_i);
 BA.debugLineNum = 128;BA.debugLine="i = i + btnDateSize";
Debug.ShouldStop(-2147483648);
_i = (int)(_i+_btndatesize);Debug.locals.put("i", _i);
 BA.debugLineNum = 129;BA.debugLine="lblDay7.Left = i";
Debug.ShouldStop(1);
mostCurrent._lblday7.setLeft(_i);
 BA.debugLineNum = 131;BA.debugLine="lblDay1.Top = btnDateSize";
Debug.ShouldStop(4);
mostCurrent._lblday1.setTop(_btndatesize);
 BA.debugLineNum = 132;BA.debugLine="lblDay2.Top = btnDateSize";
Debug.ShouldStop(8);
mostCurrent._lblday2.setTop(_btndatesize);
 BA.debugLineNum = 133;BA.debugLine="lblDay3.Top = btnDateSize";
Debug.ShouldStop(16);
mostCurrent._lblday3.setTop(_btndatesize);
 BA.debugLineNum = 134;BA.debugLine="lblDay4.Top = btnDateSize";
Debug.ShouldStop(32);
mostCurrent._lblday4.setTop(_btndatesize);
 BA.debugLineNum = 135;BA.debugLine="lblDay5.Top = btnDateSize";
Debug.ShouldStop(64);
mostCurrent._lblday5.setTop(_btndatesize);
 BA.debugLineNum = 136;BA.debugLine="lblDay6.Top = btnDateSize";
Debug.ShouldStop(128);
mostCurrent._lblday6.setTop(_btndatesize);
 BA.debugLineNum = 137;BA.debugLine="lblDay7.Top = btnDateSize";
Debug.ShouldStop(256);
mostCurrent._lblday7.setTop(_btndatesize);
 BA.debugLineNum = 139;BA.debugLine="Cancel.Height = 40dip * ScaleFactor";
Debug.ShouldStop(1024);
mostCurrent._cancel.setHeight((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40))*_scalefactor));
 BA.debugLineNum = 140;BA.debugLine="CurrentMonth.Height = 40dip * ScaleFactor";
Debug.ShouldStop(2048);
mostCurrent._currentmonth.setHeight((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40))*_scalefactor));
 BA.debugLineNum = 141;BA.debugLine="Cancel.Width = 120dip * ScaleFactor";
Debug.ShouldStop(4096);
mostCurrent._cancel.setWidth((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(120))*_scalefactor));
 BA.debugLineNum = 142;BA.debugLine="CurrentMonth.Width = 120dip * ScaleFactor";
Debug.ShouldStop(8192);
mostCurrent._currentmonth.setWidth((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(120))*_scalefactor));
 BA.debugLineNum = 143;BA.debugLine="Cancel.Top = Panel1.Top + Panel1.Height + 10dip";
Debug.ShouldStop(16384);
mostCurrent._cancel.setTop((int)(mostCurrent._panel1.getTop()+mostCurrent._panel1.getHeight()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10))));
 BA.debugLineNum = 144;BA.debugLine="CurrentMonth.Top = Cancel.Top";
Debug.ShouldStop(32768);
mostCurrent._currentmonth.setTop(mostCurrent._cancel.getTop());
 BA.debugLineNum = 145;BA.debugLine="Cancel.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(65536);
mostCurrent._cancel.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 146;BA.debugLine="CurrentMonth.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(131072);
mostCurrent._currentmonth.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 147;BA.debugLine="Cancel.Left = (100%x / 2) - (Cancel.Width + CurrentMonth.Width + 15dip) / 2";
Debug.ShouldStop(262144);
mostCurrent._cancel.setLeft((int)((anywheresoftware.b4a.keywords.Common.PerXToCurrent((float)(100),mostCurrent.activityBA)/(double)2)-(mostCurrent._cancel.getWidth()+mostCurrent._currentmonth.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15)))/(double)2));
 BA.debugLineNum = 148;BA.debugLine="CurrentMonth.Left = Cancel.Left + Cancel.Width + 15dip";
Debug.ShouldStop(524288);
mostCurrent._currentmonth.setLeft((int)(mostCurrent._cancel.getLeft()+mostCurrent._cancel.getWidth()+anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(15))));
 BA.debugLineNum = 150;BA.debugLine="CreateCalendar";
Debug.ShouldStop(2097152);
_createcalendar();
 BA.debugLineNum = 152;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
		Debug.PushSubsStack("Activity_Pause (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 158;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 160;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
		Debug.PushSubsStack("Activity_Resume (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 154;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 156;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _buttonpress_click() throws Exception{
		Debug.PushSubsStack("ButtonPress_Click (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
anywheresoftware.b4a.objects.ButtonWrapper _b = null;
 BA.debugLineNum = 280;BA.debugLine="Sub ButtonPress_Click";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 282;BA.debugLine="Dim b As Button";
Debug.ShouldStop(33554432);
_b = new anywheresoftware.b4a.objects.ButtonWrapper();Debug.locals.put("b", _b);
 BA.debugLineNum = 283;BA.debugLine="b = Sender";
Debug.ShouldStop(67108864);
_b.setObject((android.widget.Button)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 BA.debugLineNum = 284;BA.debugLine="DaySelected = b.Tag";
Debug.ShouldStop(134217728);
_dayselected = (long)(BA.ObjectToNumber(_b.getTag()));
 BA.debugLineNum = 285;BA.debugLine="Activity.Finish";
Debug.ShouldStop(268435456);
mostCurrent._activity.Finish();
 BA.debugLineNum = 286;BA.debugLine="StartActivity(Main)";
Debug.ShouldStop(536870912);
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 BA.debugLineNum = 287;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _cancel_click() throws Exception{
		Debug.PushSubsStack("Cancel_Click (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 308;BA.debugLine="Sub Cancel_Click";
Debug.ShouldStop(524288);
 BA.debugLineNum = 310;BA.debugLine="Activity.Finish";
Debug.ShouldStop(2097152);
mostCurrent._activity.Finish();
 BA.debugLineNum = 311;BA.debugLine="StartActivity(Main)";
Debug.ShouldStop(4194304);
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)(mostCurrent._main.getObject()));
 BA.debugLineNum = 312;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _createcalendar() throws Exception{
		Debug.PushSubsStack("CreateCalendar (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
int _i = 0;
int _offsetx = 0;
int _offsety = 0;
long _tempday = 0L;
long _startdate = 0L;
long _enddate = 0L;
long _bday = 0L;
long _today = 0L;
anywheresoftware.b4a.objects.ButtonWrapper _bn = null;
 BA.debugLineNum = 162;BA.debugLine="Sub CreateCalendar";
Debug.ShouldStop(2);
 BA.debugLineNum = 163;BA.debugLine="Dim i As Int";
Debug.ShouldStop(4);
_i = 0;Debug.locals.put("i", _i);
 BA.debugLineNum = 164;BA.debugLine="Dim OffsetX As Int";
Debug.ShouldStop(8);
_offsetx = 0;Debug.locals.put("OffsetX", _offsetx);
 BA.debugLineNum = 165;BA.debugLine="Dim OffsetY As Int";
Debug.ShouldStop(16);
_offsety = 0;Debug.locals.put("OffsetY", _offsety);
 BA.debugLineNum = 167;BA.debugLine="Dim TempDay As Long";
Debug.ShouldStop(64);
_tempday = 0L;Debug.locals.put("TempDay", _tempday);
 BA.debugLineNum = 168;BA.debugLine="Dim StartDate As Long";
Debug.ShouldStop(128);
_startdate = 0L;Debug.locals.put("StartDate", _startdate);
 BA.debugLineNum = 169;BA.debugLine="Dim EndDate As Long";
Debug.ShouldStop(256);
_enddate = 0L;Debug.locals.put("EndDate", _enddate);
 BA.debugLineNum = 170;BA.debugLine="Dim bDay As Long";
Debug.ShouldStop(512);
_bday = 0L;Debug.locals.put("bDay", _bday);
 BA.debugLineNum = 171;BA.debugLine="Dim Today As Long";
Debug.ShouldStop(1024);
_today = 0L;Debug.locals.put("Today", _today);
 BA.debugLineNum = 173;BA.debugLine="Today = DateTime.Now";
Debug.ShouldStop(4096);
_today = anywheresoftware.b4a.keywords.Common.DateTime.getNow();Debug.locals.put("Today", _today);
 BA.debugLineNum = 174;BA.debugLine="DateTime.DateFormat=\"ddMMyyyy\"";
Debug.ShouldStop(8192);
anywheresoftware.b4a.keywords.Common.DateTime.setDateFormat("ddMMyyyy");
 BA.debugLineNum = 176;BA.debugLine="FirstDayOfMonth = DateTime.DateParse(\"01\" & DateTime.Date(TimeValue).SubString(2))";
Debug.ShouldStop(32768);
_firstdayofmonth = anywheresoftware.b4a.keywords.Common.DateTime.DateParse("01"+anywheresoftware.b4a.keywords.Common.DateTime.Date(_timevalue).substring((int)(2)));
 BA.debugLineNum = 178;BA.debugLine="TempDay = DateTime.Add(TimeValue,0,1,0)";
Debug.ShouldStop(131072);
_tempday = anywheresoftware.b4a.keywords.Common.DateTime.Add(_timevalue,(int)(0),(int)(1),(int)(0));Debug.locals.put("TempDay", _tempday);
 BA.debugLineNum = 179;BA.debugLine="TempDay = DateTime.DateParse(\"01\" & DateTime.Date(TempDay).SubString(2))";
Debug.ShouldStop(262144);
_tempday = anywheresoftware.b4a.keywords.Common.DateTime.DateParse("01"+anywheresoftware.b4a.keywords.Common.DateTime.Date(_tempday).substring((int)(2)));Debug.locals.put("TempDay", _tempday);
 BA.debugLineNum = 180;BA.debugLine="LastDayOfMonth = DateTime.Add(TempDay,0,0,-1)";
Debug.ShouldStop(524288);
_lastdayofmonth = anywheresoftware.b4a.keywords.Common.DateTime.Add(_tempday,(int)(0),(int)(0),(int)(-1));
 BA.debugLineNum = 183;BA.debugLine="lblMonthYear.Text = Month(DateTime.GetMonth(TimeValue) - 1) & \"  \" & DateTime.GetYear(TimeValue)";
Debug.ShouldStop(4194304);
mostCurrent._lblmonthyear.setText((Object)(_month[(int)(anywheresoftware.b4a.keywords.Common.DateTime.GetMonth(_timevalue)-1)]+"  "+BA.NumberToString(anywheresoftware.b4a.keywords.Common.DateTime.GetYear(_timevalue))));
 BA.debugLineNum = 186;BA.debugLine="lblMonthYear.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(33554432);
mostCurrent._lblmonthyear.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 187;BA.debugLine="lblMonthYear.Left = 60dip * ScaleFactor";
Debug.ShouldStop(67108864);
mostCurrent._lblmonthyear.setLeft((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(60))*_scalefactor));
 BA.debugLineNum = 188;BA.debugLine="lblMonthYear.Width = 180dip * ScaleFactor";
Debug.ShouldStop(134217728);
mostCurrent._lblmonthyear.setWidth((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(180))*_scalefactor));
 BA.debugLineNum = 189;BA.debugLine="lblMonthYear.Height = 40dip * ScaleFactor";
Debug.ShouldStop(268435456);
mostCurrent._lblmonthyear.setHeight((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40))*_scalefactor));
 BA.debugLineNum = 190;BA.debugLine="NextMonth.Left = 240dip * ScaleFactor";
Debug.ShouldStop(536870912);
mostCurrent._nextmonth.setLeft((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(240))*_scalefactor));
 BA.debugLineNum = 191;BA.debugLine="NextMonth.Width = 60dip * ScaleFactor";
Debug.ShouldStop(1073741824);
mostCurrent._nextmonth.setWidth((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(60))*_scalefactor));
 BA.debugLineNum = 192;BA.debugLine="NextMonth.Height = 40dip * ScaleFactor";
Debug.ShouldStop(-2147483648);
mostCurrent._nextmonth.setHeight((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40))*_scalefactor));
 BA.debugLineNum = 193;BA.debugLine="NextMonth.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(1);
mostCurrent._nextmonth.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 194;BA.debugLine="PrevMonth.Width = 60dip * ScaleFactor";
Debug.ShouldStop(2);
mostCurrent._prevmonth.setWidth((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(60))*_scalefactor));
 BA.debugLineNum = 195;BA.debugLine="PrevMonth.Height = 40dip * ScaleFactor";
Debug.ShouldStop(4);
mostCurrent._prevmonth.setHeight((int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40))*_scalefactor));
 BA.debugLineNum = 196;BA.debugLine="PrevMonth.TextSize = DPTextSize * ScaleFactor";
Debug.ShouldStop(8);
mostCurrent._prevmonth.setTextSize((float)((double)(Double.parseDouble(_dptextsize))*_scalefactor));
 BA.debugLineNum = 198;BA.debugLine="OffsetX = 10dip 'Top Left of date grid";
Debug.ShouldStop(32);
_offsetx = anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10));Debug.locals.put("OffsetX", _offsetx);
 BA.debugLineNum = 199;BA.debugLine="OffsetY = 70dip * ScaleFactor";
Debug.ShouldStop(64);
_offsety = (int)(anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(70))*_scalefactor);Debug.locals.put("OffsetY", _offsety);
 BA.debugLineNum = 203;BA.debugLine="If FirstDayOfWeek = 2 Then";
Debug.ShouldStop(1024);
if (_firstdayofweek==(int)(2)) { 
 BA.debugLineNum = 204;BA.debugLine="If (DateTime.GetDayOfWeek(FirstDayOfMonth) - 1) = 0 Then";
Debug.ShouldStop(2048);
if ((anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_firstdayofmonth)-1)==0) { 
 BA.debugLineNum = 205;BA.debugLine="StartDate = DateTime.Add(FirstDayOfMonth,0,0,-6)";
Debug.ShouldStop(4096);
_startdate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(0),(int)(-6));Debug.locals.put("StartDate", _startdate);
 }else {
 BA.debugLineNum = 207;BA.debugLine="StartDate = DateTime.Add(FirstDayOfMonth,0,0, 0-(DateTime.GetDayOfWeek(FirstDayOfMonth) - 2))";
Debug.ShouldStop(16384);
_startdate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(0),(int)(0-(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_firstdayofmonth)-2)));Debug.locals.put("StartDate", _startdate);
 };
 }else {
 BA.debugLineNum = 210;BA.debugLine="StartDate = DateTime.Add(FirstDayOfMonth,0,0, 0-(DateTime.GetDayOfWeek(FirstDayOfMonth) - 1))";
Debug.ShouldStop(131072);
_startdate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(0),(int)(0-(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_firstdayofmonth)-1)));Debug.locals.put("StartDate", _startdate);
 };
 BA.debugLineNum = 213;BA.debugLine="bDay = StartDate";
Debug.ShouldStop(1048576);
_bday = _startdate;Debug.locals.put("bDay", _bday);
 BA.debugLineNum = 216;BA.debugLine="If FirstDayOfWeek = 2 Then";
Debug.ShouldStop(8388608);
if (_firstdayofweek==(int)(2)) { 
 BA.debugLineNum = 217;BA.debugLine="If (DateTime.GetDayOfWeek(LastDayOfMonth) - 1) = 0 Then";
Debug.ShouldStop(16777216);
if ((anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_lastdayofmonth)-1)==0) { 
 BA.debugLineNum = 218;BA.debugLine="EndDate = LastDayOfMonth";
Debug.ShouldStop(33554432);
_enddate = _lastdayofmonth;Debug.locals.put("EndDate", _enddate);
 }else {
 BA.debugLineNum = 220;BA.debugLine="EndDate = DateTime.Add(LastDayOfMonth,0,0, 8 - DateTime.GetDayOfWeek(LastDayOfMonth))";
Debug.ShouldStop(134217728);
_enddate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_lastdayofmonth,(int)(0),(int)(0),(int)(8-anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_lastdayofmonth)));Debug.locals.put("EndDate", _enddate);
 };
 }else {
 BA.debugLineNum = 223;BA.debugLine="EndDate = DateTime.Add(LastDayOfMonth,0,0, 7 - DateTime.GetDayOfWeek(LastDayOfMonth))";
Debug.ShouldStop(1073741824);
_enddate = anywheresoftware.b4a.keywords.Common.DateTime.Add(_lastdayofmonth,(int)(0),(int)(0),(int)(7-anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfWeek(_lastdayofmonth)));Debug.locals.put("EndDate", _enddate);
 };
 BA.debugLineNum = 230;BA.debugLine="For i = 1 To 42";
Debug.ShouldStop(32);
{
final double step169 = 1;
final double limit169 = (int)(42);
for (_i = (int)(1); (step169 > 0 && _i <= limit169) || (step169 < 0 && _i >= limit169); _i += step169) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 231;BA.debugLine="If bDay <= EndDate Then";
Debug.ShouldStop(64);
if (_bday<=_enddate) { 
 BA.debugLineNum = 232;BA.debugLine="Dim bn As Button";
Debug.ShouldStop(128);
_bn = new anywheresoftware.b4a.objects.ButtonWrapper();Debug.locals.put("bn", _bn);
 BA.debugLineNum = 233;BA.debugLine="bn.Initialize(\"ButtonPress\")";
Debug.ShouldStop(256);
_bn.Initialize(mostCurrent.activityBA,"ButtonPress");
 BA.debugLineNum = 234;BA.debugLine="bn.Text = DateTime.GetDayOfMonth(bDay)";
Debug.ShouldStop(512);
_bn.setText((Object)(anywheresoftware.b4a.keywords.Common.DateTime.GetDayOfMonth(_bday)));
 BA.debugLineNum = 236;BA.debugLine="If DateTime.GetMonth(bDay) <> DateTime.GetMonth(TimeValue) Then";
Debug.ShouldStop(2048);
if (anywheresoftware.b4a.keywords.Common.DateTime.GetMonth(_bday)!=anywheresoftware.b4a.keywords.Common.DateTime.GetMonth(_timevalue)) { 
 BA.debugLineNum = 237;BA.debugLine="bn.Enabled = False";
Debug.ShouldStop(4096);
_bn.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 238;BA.debugLine="bn.Tag = 0";
Debug.ShouldStop(8192);
_bn.setTag((Object)(0));
 }else {
 BA.debugLineNum = 240;BA.debugLine="bn.Enabled = True";
Debug.ShouldStop(32768);
_bn.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 241;BA.debugLine="bn.Tag = bDay";
Debug.ShouldStop(65536);
_bn.setTag((Object)(_bday));
 };
 BA.debugLineNum = 243;BA.debugLine="If DateTime.Date(bDay) = DateTime.Date(Today)  Then";
Debug.ShouldStop(262144);
if ((anywheresoftware.b4a.keywords.Common.DateTime.Date(_bday)).equals(anywheresoftware.b4a.keywords.Common.DateTime.Date(_today))) { 
 BA.debugLineNum = 244;BA.debugLine="bn.TextColor = Colors.Red";
Debug.ShouldStop(524288);
_bn.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
 BA.debugLineNum = 245;BA.debugLine="bn.Typeface = Typeface.DEFAULT_BOLD";
Debug.ShouldStop(1048576);
_bn.setTypeface(anywheresoftware.b4a.keywords.Common.Typeface.DEFAULT_BOLD);
 };
 BA.debugLineNum = 248;BA.debugLine="Panel1.AddView(bn, OffsetX, OffsetY, btnDateSize, btnDateSize)";
Debug.ShouldStop(8388608);
mostCurrent._panel1.AddView((android.view.View)(_bn.getObject()),_offsetx,_offsety,_btndatesize,_btndatesize);
 BA.debugLineNum = 249;BA.debugLine="bn.TextSize = DPTextSize";
Debug.ShouldStop(16777216);
_bn.setTextSize((float)(Double.parseDouble(_dptextsize)));
 BA.debugLineNum = 250;BA.debugLine="bn.TextSize = bn.TextSize * ScaleFactor";
Debug.ShouldStop(33554432);
_bn.setTextSize((float)(_bn.getTextSize()*_scalefactor));
 BA.debugLineNum = 252;BA.debugLine="OffsetX = OffsetX + btnDateSize";
Debug.ShouldStop(134217728);
_offsetx = (int)(_offsetx+_btndatesize);Debug.locals.put("OffsetX", _offsetx);
 BA.debugLineNum = 253;BA.debugLine="If OffsetX > (10dip + (btnDateSize * 6)) Then";
Debug.ShouldStop(268435456);
if (_offsetx>(int)((anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10))+(_btndatesize*6)))) { 
 BA.debugLineNum = 254;BA.debugLine="OffsetX = 10dip";
Debug.ShouldStop(536870912);
_offsetx = anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(10));Debug.locals.put("OffsetX", _offsetx);
 BA.debugLineNum = 255;BA.debugLine="OffsetY = OffsetY + btnDateSize";
Debug.ShouldStop(1073741824);
_offsety = (int)(_offsety+_btndatesize);Debug.locals.put("OffsetY", _offsety);
 };
 BA.debugLineNum = 257;BA.debugLine="bDay = DateTime.Add(bDay,0,0,1)";
Debug.ShouldStop(1);
_bday = anywheresoftware.b4a.keywords.Common.DateTime.Add(_bday,(int)(0),(int)(0),(int)(1));Debug.locals.put("bDay", _bday);
 };
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 261;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _currentmonth_click() throws Exception{
		Debug.PushSubsStack("CurrentMonth_Click (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 302;BA.debugLine="Sub CurrentMonth_Click";
Debug.ShouldStop(8192);
 BA.debugLineNum = 304;BA.debugLine="RemovePanelViews";
Debug.ShouldStop(32768);
_removepanelviews();
 BA.debugLineNum = 305;BA.debugLine="TimeValue = DateTime.Now";
Debug.ShouldStop(65536);
_timevalue = anywheresoftware.b4a.keywords.Common.DateTime.getNow();
 BA.debugLineNum = 306;BA.debugLine="CreateCalendar";
Debug.ShouldStop(131072);
_createcalendar();
 BA.debugLineNum = 307;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}

public static void initializeProcessGlobals() {}
public static String  _globals() throws Exception{
 BA.debugLineNum = 39;BA.debugLine="Sub Globals";
 BA.debugLineNum = 42;BA.debugLine="Dim Panel1 As Panel";
mostCurrent._panel1 = new anywheresoftware.b4a.objects.PanelWrapper();
 BA.debugLineNum = 43;BA.debugLine="Dim lblMonthYear As Label	'Month and year at the top of the calendar";
mostCurrent._lblmonthyear = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 44;BA.debugLine="Dim lblDay1 As Label		'Day header column 1 (option base 1)";
mostCurrent._lblday1 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 45;BA.debugLine="Dim lblDay2 As Label		'Day header column 2";
mostCurrent._lblday2 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 46;BA.debugLine="Dim lblDay3 As Label		'Day header column 3";
mostCurrent._lblday3 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 47;BA.debugLine="Dim lblDay4 As Label		'Day header column 4";
mostCurrent._lblday4 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 48;BA.debugLine="Dim lblDay5 As Label		'Day header column 5";
mostCurrent._lblday5 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 49;BA.debugLine="Dim lblDay6 As Label		'Day header column 6";
mostCurrent._lblday6 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 50;BA.debugLine="Dim lblDay7 As Label		'Day header column 7";
mostCurrent._lblday7 = new anywheresoftware.b4a.objects.LabelWrapper();
 BA.debugLineNum = 52;BA.debugLine="Dim NextMonth As Button";
mostCurrent._nextmonth = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 53;BA.debugLine="Dim PrevMonth As Button";
mostCurrent._prevmonth = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 54;BA.debugLine="Dim Cancel As Button";
mostCurrent._cancel = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 55;BA.debugLine="Dim CurrentMonth As Button";
mostCurrent._currentmonth = new anywheresoftware.b4a.objects.ButtonWrapper();
 BA.debugLineNum = 56;BA.debugLine="End Sub";
return "";
}
public static String  _nextmonth_click() throws Exception{
		Debug.PushSubsStack("NextMonth_Click (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 296;BA.debugLine="Sub NextMonth_Click";
Debug.ShouldStop(128);
 BA.debugLineNum = 298;BA.debugLine="RemovePanelViews";
Debug.ShouldStop(512);
_removepanelviews();
 BA.debugLineNum = 299;BA.debugLine="TimeValue = DateTime.Add(FirstDayOfMonth,0,1,0)";
Debug.ShouldStop(1024);
_timevalue = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(1),(int)(0));
 BA.debugLineNum = 300;BA.debugLine="CreateCalendar";
Debug.ShouldStop(2048);
_createcalendar();
 BA.debugLineNum = 301;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _prevmonth_click() throws Exception{
		Debug.PushSubsStack("PrevMonth_Click (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 289;BA.debugLine="Sub PrevMonth_Click";
Debug.ShouldStop(1);
 BA.debugLineNum = 291;BA.debugLine="RemovePanelViews";
Debug.ShouldStop(4);
_removepanelviews();
 BA.debugLineNum = 292;BA.debugLine="TimeValue = DateTime.Add(FirstDayOfMonth,0,-1,0)";
Debug.ShouldStop(8);
_timevalue = anywheresoftware.b4a.keywords.Common.DateTime.Add(_firstdayofmonth,(int)(0),(int)(-1),(int)(0));
 BA.debugLineNum = 293;BA.debugLine="CreateCalendar";
Debug.ShouldStop(16);
_createcalendar();
 BA.debugLineNum = 294;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _process_globals() throws Exception{
 BA.debugLineNum = 3;BA.debugLine="Sub Process_Globals";
 BA.debugLineNum = 11;BA.debugLine="Dim TimeValue As Long";
_timevalue = 0L;
 BA.debugLineNum = 13;BA.debugLine="Dim FirstDayOfMonth As Long";
_firstdayofmonth = 0L;
 BA.debugLineNum = 14;BA.debugLine="Dim LastDayOfMonth As Long";
_lastdayofmonth = 0L;
 BA.debugLineNum = 15;BA.debugLine="Dim Day() As String";
_day = new String[(int)(0)];
java.util.Arrays.fill(_day,"");
 BA.debugLineNum = 16;BA.debugLine="Dim Month() As String";
_month = new String[(int)(0)];
java.util.Arrays.fill(_month,"");
 BA.debugLineNum = 17;BA.debugLine="Dim DaySelected As Long 'Return value to the calling Activity";
_dayselected = 0L;
 BA.debugLineNum = 18;BA.debugLine="Dim FirstDayOfWeek As Int";
_firstdayofweek = 0;
 BA.debugLineNum = 20;BA.debugLine="DaySelected = 0";
_dayselected = (long)(0);
 BA.debugLineNum = 23;BA.debugLine="Dim ActivityTitle As String : ActivityTitle = \"Select date\"";
_activitytitle = "";
 BA.debugLineNum = 23;BA.debugLine="Dim ActivityTitle As String : ActivityTitle = \"Select date\"";
_activitytitle = "Select date";
 BA.debugLineNum = 24;BA.debugLine="Dim CancelText As String : CancelText = \"Cancel\"";
_canceltext = "";
 BA.debugLineNum = 24;BA.debugLine="Dim CancelText As String : CancelText = \"Cancel\"";
_canceltext = "Cancel";
 BA.debugLineNum = 25;BA.debugLine="Dim TodayText As String : TodayText = \"Today\"";
_todaytext = "";
 BA.debugLineNum = 25;BA.debugLine="Dim TodayText As String : TodayText = \"Today\"";
_todaytext = "Today";
 BA.debugLineNum = 28;BA.debugLine="Dim ScaleFactor As Float";
_scalefactor = 0f;
 BA.debugLineNum = 30;BA.debugLine="ScaleFactor = 1.0			'---------------     CHANGE CALENDAR SCALE FACTOR HERE    ----------";
_scalefactor = (float)(1.0);
 BA.debugLineNum = 31;BA.debugLine="DPTextSize = 11				' You can change the base size of all the text here too Default: 14";
_dptextsize = BA.NumberToString(11);
 BA.debugLineNum = 33;BA.debugLine="Dim btnDateSize As Int";
_btndatesize = 0;
 BA.debugLineNum = 34;BA.debugLine="btnDateSize = 40dip	'Smallest size of the Date button at ScaleFactor = 1.0";
_btndatesize = anywheresoftware.b4a.keywords.Common.DipToCurrent((int)(40));
 BA.debugLineNum = 35;BA.debugLine="btnDateSize = btnDateSize * ScaleFactor	'Scale the button";
_btndatesize = (int)(_btndatesize*_scalefactor);
 BA.debugLineNum = 37;BA.debugLine="End Sub";
return "";
}
public static String  _removepanelviews() throws Exception{
		Debug.PushSubsStack("RemovePanelViews (kalenderactivity) ","kalenderactivity",1,mostCurrent.activityBA,mostCurrent);
try {
int _i = 0;
anywheresoftware.b4a.objects.ConcreteViewWrapper _v = null;
long _ii = 0L;
 BA.debugLineNum = 263;BA.debugLine="Sub RemovePanelViews";
Debug.ShouldStop(64);
 BA.debugLineNum = 264;BA.debugLine="Dim i As Int";
Debug.ShouldStop(128);
_i = 0;Debug.locals.put("i", _i);
 BA.debugLineNum = 265;BA.debugLine="Dim v As View";
Debug.ShouldStop(256);
_v = new anywheresoftware.b4a.objects.ConcreteViewWrapper();Debug.locals.put("v", _v);
 BA.debugLineNum = 266;BA.debugLine="Dim ii As Long";
Debug.ShouldStop(512);
_ii = 0L;Debug.locals.put("ii", _ii);
 BA.debugLineNum = 268;BA.debugLine="For i=Panel1.NumberOfViews-1 To 0 Step -1";
Debug.ShouldStop(2048);
{
final double step201 = -1;
final double limit201 = (int)(0);
for (_i = (int)(mostCurrent._panel1.getNumberOfViews()-1); (step201 > 0 && _i <= limit201) || (step201 < 0 && _i >= limit201); _i += step201) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 269;BA.debugLine="v = Panel1.GetView(i)";
Debug.ShouldStop(4096);
_v = mostCurrent._panel1.GetView(_i);Debug.locals.put("v", _v);
 BA.debugLineNum = 270;BA.debugLine="Try";
Debug.ShouldStop(8192);
try { BA.debugLineNum = 271;BA.debugLine="ii = v.Tag";
Debug.ShouldStop(16384);
_ii = (long)(BA.ObjectToNumber(_v.getTag()));Debug.locals.put("ii", _ii);
 BA.debugLineNum = 272;BA.debugLine="If ii >= 0 Then";
Debug.ShouldStop(32768);
if (_ii>=(long)(0)) { 
 BA.debugLineNum = 273;BA.debugLine="Panel1.RemoveViewAt(i)";
Debug.ShouldStop(65536);
mostCurrent._panel1.RemoveViewAt(_i);
 };
 } 
       catch (Exception e) {
			processBA.setLastException(e); };
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 278;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
  public Object[] GetGlobals() {
		return new Object[] {"Activity",_activity,"TimeValue",_timevalue,"FirstDayOfMonth",_firstdayofmonth,"LastDayOfMonth",_lastdayofmonth,"Day",_day,"Month",_month,"DaySelected",_dayselected,"FirstDayOfWeek",_firstdayofweek,"ActivityTitle",_activitytitle,"CancelText",_canceltext,"TodayText",_todaytext,"ScaleFactor",_scalefactor,"btnDateSize",_btndatesize,"Panel1",_panel1,"lblMonthYear",_lblmonthyear,"lblDay1",_lblday1,"lblDay2",_lblday2,"lblDay3",_lblday3,"lblDay4",_lblday4,"lblDay5",_lblday5,"lblDay6",_lblday6,"lblDay7",_lblday7,"NextMonth",_nextmonth,"PrevMonth",_prevmonth,"Cancel",_cancel,"CurrentMonth",_currentmonth,"Main",Debug.moduleToString(DatePicker.familieportalen.dk.main.class)};
}
}
